kio Library: KRecentDirs Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KRecentDirs Class Reference

The goal of this class is to make sure that, when the user needs to specify a file via the file selection dialog, this dialog will start in the directory most likely to contain the desired files. More...

`#include <krecentdirs.h>`

List of all members.

## Static Public Member Functions
static QStringList | list (const QString &fileClass)
static QString | dir (const QString &fileClass)
static void | add (const QString &fileClass, const QString &directory)

## Detailed Description

The goal of this class is to make sure that, when the user needs to specify a file via the file selection dialog, this dialog will start in the directory most likely to contain the desired files.

This works as follows: Each time the file selection dialog is shown, the programmer can specify a "file-class". The file-dialog will then start with the directory associated with this file-class. When the dialog closes, the directory currently shown in the file-dialog will be associated with the file-class.

A file-class can either start with ':' or with '::'. If it starts with a single ':' the file-class is specific to the current application. If the file-class starts with '::' it is global to all applications.

Definition at line 50 of file krecentdirs.h.

## Member Function Documentation

QStringList KRecentDirs::list | ( | const QString & | fileClass | ) | `[static]`

| Returns a list of directories associated with this file-class. The most recently used directory is at the front of the list. Definition at line 72 of file krecentdirs.cpp. Referenced by dir().

QString KRecentDirs::dir | ( | const QString & | fileClass | ) | `[static]`

| Returns the most recently used directory accociated with this file-class. Definition at line 80 of file krecentdirs.cpp. References list().

void KRecentDirs::add | ( | const QString & | fileClass,
|  | const QString & | directory
| ) | `[static]`

| Associates `directory` with `fileClass`. Definition at line 86 of file krecentdirs.cpp. References KConfigBase::writePathEntry().

The documentation for this class was generated from the following files:

- krecentdirs.h
- krecentdirs.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:12 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003